org.eclnt.tool

## Class CSSStyleClass

- java.lang.Object
- - org.eclnt.tool.CSSStyleClass

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CSSStyleClass>

      public class CSSStyleClass
      extends java.lang.Object
      implements java.lang.Comparable<CSSStyleClass>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSStyleClass()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRISCInfo(CSSStyleClassRISCInfo ri)`
    `void` | `addStyle(CSSStyleClassStyle si)`
    `void` | `addSubClass(CSSStyleClass sc)`
    `void` | `addVariableValue(java.lang.String name, java.lang.String value)`
    `int` | `compareTo(CSSStyleClass o)`
    `boolean` | `getDirectcss()`
    `java.lang.String` | `getExtends()`
    `java.lang.String` | `getName()`
    `java.util.Map<java.lang.String,CSSStyleClassRISCInfo>` | `getRiscInfos()`
    `java.util.Map<java.lang.String,CSSStyleClassStyle>` | `getStyleInfos()`
    `java.util.Map<java.lang.String,CSSStyleClass>` | `getSubClasses()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getVariableValues()`
    `void` | `outputCSS(java.lang.StringBuffer sb, java.util.List<CSSStyleClass> classStack, java.util.Map<java.lang.String,java.lang.String> variables)`
    `void` | `outputCSS(java.lang.StringBuffer sb, java.util.List<CSSStyleClass> classStack, java.util.Map<java.lang.String,java.lang.String> variables, int callLevel)`
    `void` | `outputJsonMap(java.util.Map<java.lang.String,java.lang.Object> globalsMap, java.util.Map<java.lang.String,java.lang.Object> map, java.util.List<CSSStyleClass> classStack, java.util.Map<java.lang.String,java.lang.String> variables)`
    `void` | `outputXML(java.lang.StringBuffer sb, int level)`
    `void` | `removeRISCInfo(java.lang.String name)`
    `void` | `removeStyle(java.lang.String name)`
    `void` | `removeSubClass(java.lang.String name)`
    `void` | `removeVariableValue(java.lang.String name)`
    `void` | `resolveExtensions()`
    `static java.lang.String` | `resolveValue(java.lang.String value, java.util.Map<java.lang.String,java.lang.String> variables, int counter)`
    `void` | `setDirectcss(boolean directcss)`
    `void` | `setExtends(java.lang.String extends1)`
    `void` | `setInternal(boolean internal)`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSStyleClass

          public CSSStyleClass()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getExtends

          public java.lang.String getExtends()

    - #### setExtends

          public void setExtends(java.lang.String extends1)

    - #### setInternal

          public void setInternal(boolean internal)

    - #### getVariableValues

          public java.util.Map<java.lang.String,java.lang.String> getVariableValues()

    - #### getSubClasses

          public java.util.Map<java.lang.String,CSSStyleClass> getSubClasses()

    - #### getRiscInfos

          public java.util.Map<java.lang.String,CSSStyleClassRISCInfo> getRiscInfos()

    - #### getStyleInfos

          public java.util.Map<java.lang.String,CSSStyleClassStyle> getStyleInfos()

    - #### getDirectcss

          public boolean getDirectcss()

    - #### setDirectcss

          public void setDirectcss(boolean directcss)

    - #### compareTo

          public int compareTo(CSSStyleClass o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CSSStyleClass>`

    - #### addRISCInfo

          public void addRISCInfo(CSSStyleClassRISCInfo ri)

    - #### removeRISCInfo

          public void removeRISCInfo(java.lang.String name)

    - #### addStyle

          public void addStyle(CSSStyleClassStyle si)

    - #### removeStyle

          public void removeStyle(java.lang.String name)

    - #### addSubClass

          public void addSubClass(CSSStyleClass sc)

    - #### removeSubClass

          public void removeSubClass(java.lang.String name)

    - #### addVariableValue

          public void addVariableValue(java.lang.String name,
                                       java.lang.String value)

    - #### removeVariableValue

          public void removeVariableValue(java.lang.String name)

    - #### resolveExtensions

          public void resolveExtensions()

    - #### outputXML

          public void outputXML(java.lang.StringBuffer sb,
                                int level)

    - #### outputCSS

          public void outputCSS(java.lang.StringBuffer sb,
                                java.util.List<CSSStyleClass> classStack,
                                java.util.Map<java.lang.String,java.lang.String> variables)

    - #### outputCSS

          public void outputCSS(java.lang.StringBuffer sb,
                                java.util.List<CSSStyleClass> classStack,
                                java.util.Map<java.lang.String,java.lang.String> variables,
                                int callLevel)

    - #### outputJsonMap

          public void outputJsonMap(java.util.Map<java.lang.String,java.lang.Object> globalsMap,
                                    java.util.Map<java.lang.String,java.lang.Object> map,
                                    java.util.List<CSSStyleClass> classStack,
                                    java.util.Map<java.lang.String,java.lang.String> variables)

    - #### resolveValue

          public static java.lang.String resolveValue(java.lang.String value,
                                                      java.util.Map<java.lang.String,java.lang.String> variables,
                                                      int counter)

Copyright © CaptainCasa Gmbh. All Rights Reserved.